> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/wisej.web.usercombobox.md).

# UserComboBox

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [ListControl](/api/v3.0/wisej.web/lists-and-grids/listcontrol.md)
    * [ComboBox](/api/v3.0/wisej.web/lists-and-grids/combobox.md)
      * [UserComboBox](/api/v3.0/wisej.web/lists-and-grids/wisej.web.usercombobox.md)

The UserComboBox control represents a [ComboBox](/api/v3.0/wisej.web/lists-and-grids/combobox.md) control with a custom panel that drops down when the user clicks the down arrow.

{% tabs %}
{% tab title="C#" %}

```csharp
public class UserComboBox : ComboBox
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class UserComboBox
    Inherits ComboBox
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)UserComboBox()

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)DropDownControl

[Control](/api/v3.0/wisej.web/general/control.md): Returns or sets the drop down control.

### ![](/files/uCY6T77rh488FWHzpJ6P)Text

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the text associated with this control.

## Inherited By

| Name                                                                                  | Description                                                                                                                                                                                                                |
| ------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ListViewComboBox](/api/v3.0/wisej.web/lists-and-grids/wisej.web.listviewcombobox.md) | The TreeViewComboBox control represents a [UserComboBox](/api/v3.0/wisej.web/lists-and-grids/wisej.web.usercombobox.md) control with a [ListView](/api/v3.0/wisej.web/lists-and-grids/listview.md) as the drop down panel. |
| [TreeViewComboBox](/api/v3.0/wisej.web/lists-and-grids/wisej.web.treeviewcombobox.md) | The TreeViewComboBox control represents a [UserComboBox](/api/v3.0/wisej.web/lists-and-grids/wisej.web.usercombobox.md) control with a [TreeView](/api/v3.0/wisej.web/lists-and-grids/treeview.md) as the drop down panel. |

## Implements

| Name                                                                                   | Description                                                                                                                                                                                                                                               |
| -------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                                                                                                                                                             |
| [ILabel](/api/v3.0/wisej.web/interfaces/wisej.web.ilabel.md)                           | Provides access to the [LabelWrapper](/api/v3.0/wisej.web/editors/wisej.web.labelwrapper.md) associated with the controls that implement this interface.                                                                                                  |
| [IReadOnly](/api/v3.0/wisej.web/interfaces/wisej.web.ireadonly.md)                     | Provides access to the [ReadOnly](/api/v3.0/wisej.web/interfaces/wisej.web.ireadonly.md#readonly) property for coontrols that support the read-only mode.                                                                                                 |
| [IModified](/api/v3.0/wisej.web/interfaces/wisej.web.imodified.md)                     | Provides access to the [Modified](/api/v3.0/wisej.web/interfaces/wisej.web.imodified.md#modified) property and [ModifiedChanged](/api/v3.0/wisej.web/interfaces/wisej.web.imodified.md#modifiedchanged) event for controls that implement this interface. |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                                                                                                                                                            |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface.                                                                                                                                |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                                                                                                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/wisej.web.usercombobox.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
